Subject: Re: [PATCH 0/4] Avoid using deprecated features in Git's GitHub workflows

From: Junio C Hamano <[email-masked]>
Date: Thu, 08 Dec 2022 14:50:52 +0900

Junio C Hamano <[email-masked]> writes:

> Taylor Blau <[email-masked]> writes:
>
>> On Wed, Dec 07, 2022 at 02:34:36PM +0000, Johannes Schindelin via GitGitGadget wrote:
>>> Johannes Schindelin (4):
>>>   ci: use a newer `github-script` version
>>>   ci: avoid deprecated `set-output` workflow command
>>>   ci: avoid using deprecated {up,down}load-artifacts Action
>>>   ci(l10n): avoid using the deprecated `set-output` workflow command
>>
>> These all look reasonable to me, minus the first one which is already
>> on 'master' as-is (unless I am missing something, but see my reply to
>> that email).
>
> I think we already have set-output ones figured out and queued in
> 'seen', and the third one alone cleanly applies without any others
> (and replaces my botched attempt ;-), so we are in good shape, I
> think.

So, with "checkout@v3" by Oscar a few days ago, "set-output to
$GITHUB_OUTPUT" by Ævar yesterday, and the "upload/download
artifact@v3" in this series, all queued near the tip of 'next', all
the deprecation warnings we have been seeing are now gone, cf.

  https://github.com/git/git/actions/runs/3644168470

Unfortunately, a new one says that ubuntu-22.04 will soon be used
when ubuntu-latest is called for X-<.

In any case, thank you, everybody, for cleaning up the CI workers.